osl::search::QuiescenceLog Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | List of all members
osl::search::QuiescenceLog Struct Reference

取り合い探索の記録をとる. More...

`#include <quiescenceLog.h>`

## Static Public Member Functions
static void | enter (const SimpleState &)
static void | pushMove (int depth, Move m, const QuiescenceRecord *r)
static void | staticValue (int depth, int value)
static void | node (int depth, int alpha, int beta, int result)
static void | init (const char *filename)
static void | close ()
static std::ostream * | os ()

## Detailed Description

取り合い探索の記録をとる.

init しない限り記録は残らない

Definition at line 18 of file quiescenceLog.h.

## Member Function Documentation

void osl::search::QuiescenceLog::close | ( | ) |  |
| static

Definition at line 27 of file quiescenceLog.cc.

void osl::search::QuiescenceLog::enter | ( | const SimpleState & | state) |  |
| static

Definition at line 33 of file quiescenceLog.cc.

void osl::search::QuiescenceLog::init | ( | const char * | filename) |  |
| static

Definition at line 21 of file quiescenceLog.cc.

void osl::search::QuiescenceLog::node | ( | int | depth,
|  | int | alpha,
|  | int | beta,
|  | int | result
| ) |  |
| static

Definition at line 63 of file quiescenceLog.cc.

References osl::eval::max(), and osl::search::QSearchTraits::MaxDepth.

std::ostream * osl::search::QuiescenceLog::os | ( | ) |  |
| static

Definition at line 15 of file quiescenceLog.cc.

void osl::search::QuiescenceLog::pushMove | ( | int | depth,
|  | Move | m,
|  | const QuiescenceRecord * | r
| ) |  |
| static

Definition at line 43 of file quiescenceLog.cc.

References osl::search::QuiescenceRecord::dump(), osl::eval::max(), and osl::search::QSearchTraits::MaxDepth.

void osl::search::QuiescenceLog::staticValue | ( | int | depth,
|  | int | value
| ) |  |
| static

Definition at line 55 of file quiescenceLog.cc.

References osl::eval::max(), and osl::search::QSearchTraits::MaxDepth.

The documentation for this struct was generated from the following files:

- quiescenceLog.h
- quiescenceLog.cc